Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicDesktopPaneUI.CloseAction

    java.lang.Object
      javax.swing.AbstractAction
          javax.swing.plaf.basic.BasicDesktopPaneUI.CloseAction

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

Enclosing class:
  BasicDesktopPaneUI

    protected class BasicDesktopPaneUI.CloseAction

extends AbstractAction

Field Summary

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`protected` | `BasicDesktopPaneUI.CloseAction()`

Method Summary
`void` | `actionPerformed(ActionEvent evt)` Invoked when an action occurs.
`boolean` | `isEnabled()` Returns true if the action is enabled.

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicDesktopPaneUI.CloseAction

    protected BasicDesktopPaneUI.CloseAction()

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent evt)

  Description copied from interface: `ActionListener`
  Invoked when an action occurs.

### isEnabled

    public boolean isEnabled()

  Description copied from class: `AbstractAction`
  Returns true if the action is enabled.

  Specified by:
    `isEnabled` in interface `Action`
  Overrides:
    `isEnabled` in class `AbstractAction`
  Returns:
    true if the action is enabled, false otherwise
  See Also:
    `Action.isEnabled()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.